import { useMutation, useQueryClient } from "@tanstack/react-query";

import { toggleLike } from "../api/toggle-like";

export const useLike = ({
  gweetAuthorId,
  sessionOwnerId,
}: {
  gweetAuthorId: string | undefined;
  sessionOwnerId: string | undefined;
}) => {
  const queryClient = useQueryClient();

  return useMutation(
    ({ gweetId, userId }: { gweetId: string | undefined; userId: string }) => {
      return toggleLike({ gweetId, userId });
    },
    {
      onSuccess: () => {
        queryClient.invalidateQueries(["gweets"]);
        queryClient.invalidateQueries(["users", sessionOwnerId]);
        if (sessionOwnerId !== gweetAuthorId)
          queryClient.invalidateQueries(["users", gweetAuthorId]);
      },
      onError: () => {
        console.log("error");
      },
    },
  );
};
